# Note that this is NOT a relocatable package

%define libgtop2_version 2.23.1
%define libwnck_version 2.9.92
%define pango_version 1.2.0
%define gtk2_version 2.12
%define desktop_file_utils_version 0.2.90
%define libselinux_version 1.23.2
%define gconf_version 2.14
%define polkit_version 0.92

Summary: Process and resource monitor
Name: gnome-system-monitor
Version: 2.28.0
Release: 11%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://www.gnome.org/
Source: http://download.gnome.org/sources/gnome-system-monitor/2.28/%{name}-%{version}.tar.bz2
Source1: about-this-computer.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: GConf2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libgtop2-devel >= %{libgtop2_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gtkmm24-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: startup-notification-devel
BuildRequires: intltool scrollkeeper gettext
BuildRequires: libselinux-devel >= %{libselinux_version}
BuildRequires: gnome-icon-theme
BuildRequires: pcre-devel
BuildRequires: librsvg2-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: gnome-common
BuildRequires: polkit-devel >= %{polkit_version}

# needed for autoreconf
BuildRequires: autoconf, automake, libtool

# sent upstream: http://bugzilla.gnome.org/show_bug.cgi?id=491462
Patch0: gnome-system-monitor-2.25.91-polkit.patch

# sent upstream: http://bugzilla.gnome.org/show_bug.cgi?id=421912
Patch1: session.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=495730
Patch2: polkit1.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=592747
Patch3: buttons.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=592758
Patch4: memmapsdialog.patch

# Don't rely on lsb_release for sysinfo
Patch5: sysinfo.patch

# make docs show up in the right place in rarian/yelp
Patch6: gnome-system-monitor-doc-category.patch

Patch7: translation-updates.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=571597
Patch8: scrollbar-buttons-v2.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=682011
Patch9: gnome-system-monitor-ignore-missing-model.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=692956
Patch10: gnome-system-monitor-use-clock-if-present.patch

Requires(pre): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(post): scrollkeeper
Requires(preun): GConf2 >= %{gconf_version}
Requires(postun): scrollkeeper

%description
gnome-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%setup -q
%patch0 -p1 -b .polkit
%patch1 -p1 -b .session
%patch2 -p1 -b .polkit1
%patch3 -p1 -b .buttons
%patch4 -p1 -b .memmapsdialog
%patch5 -p1 -b .sysinfo
%patch6 -p1 -b .doc-category
%patch7 -p1 -b .translations
%patch8 -p1 -b .scrollbars
%patch9 -p1 -b .missing-model
%patch10 -p1 -b .use-clock

autoreconf -i -f

%build
%configure --enable-selinux --disable-scrollkeeper --enable-polkit
# dunno why the deps are not picked up correctly here
make -C src gnome-system-monitor-mechanism-glue.h gnome-system-monitor-mechanism-client-glue.h
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --remove-category Application				    \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q

%files -f %{name}.lang
%defattr(-, root, root,-)
%doc AUTHORS NEWS COPYING README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/*
%{_datadir}/pixmaps/gnome-system-monitor/
%{_sysconfdir}/dbus-1/system.d/org.gnome.SystemMonitor.Mechanism.conf
%{_libexecdir}/gnome-system-monitor-mechanism
%{_datadir}/polkit-1/actions/org.gnome.system-monitor.policy
%{_datadir}/dbus-1/system-services/org.gnome.SystemMonitor.Mechanism.service



%changelog

